#include <stdio.h>
#include <stdlib.h>

int main()
{
    char a[2];
    int a1, a2;
    scanf("%s", &a);
    scanf("%d %d", &a1,&a2);

    if(a1>=a2+2 || a2>=a1+2)
    {
        printf("nemoguce");
        return 0;
    }

    int bra1=a1,bra2=a2;
    if(a2>a1)
    {
        char pom=a[0];
        a[0]=a[1];
        a[1]=pom;
        bra1=a2;
        bra2=a1;
    }


    for(int i=0; i<a1+a2; i++)
    {
        while(bra1>0)
        {
            printf("%c",a[0]);
            bra1--;
            break;
        }

        while(bra2>0)
        {
            printf("%c",a[1]);
            bra2--;
            break;
        }

    }

    return 0;
}